#version 330

in vec3 position;//in vec3 vert;
in vec3 normal;//in vec3 vertNormal;
in vec2 uv;//in vec2 vertTexCoord;

out vec3 worldNorm;//out vec3 fragNormal;
out vec2 fUVs;//out vec2 fragTexCoord;

uniform mat4 modelMat;//uniform mat4 model;
uniform mat4 projMat;//uniform mat4 camera;//proj*vieMat
uniform mat4 viewMat;//uniform mat4 camera;//proj*vieMat

out vec3 worldspacePos;//out vec3 fragVert;
out vec3 cameraspaceNorm;
out vec3 cameraspaceEyeDir;
out vec3 cameraspaceLightDir;

uniform vec3 worldspaceLight;

void main() 
{
    fUVs = uv;
    worldNorm = normal;
    worldspacePos = position;

    gl_Position = projMat * viewMat * modelMat * vec4(position, 1);
}
