#version 330 core

layout(points) in;                                                                  
layout(points) out;                                                                 
layout(max_vertices = 30) out;   

in float[] Type0;
in float[] Life0;
in float[] Size0;
in vec3[] Pos0;
in vec3[] Vel0;
in vec4[] Color0;

out float Type1;
out float Life1;
out float Size1;
out vec3 Pos1;
out vec3 Vel1;
out vec4 Color1;

uniform float delta_time;
uniform int max_Particles;
uniform int cur_Particles;
uniform vec3 seed_Position;
uniform vec3 rand_Velocity;
uniform vec4 rand_Color;

const float PI = 3.141592653589793238462643383;
const vec4 spatterColor = vec4(0.980392, 0.941176, 0.117647, 1.0);
const float diffGreen = 0.941176 - 0.117647;

void main() 
{

float Life = Life0[0] - 3 * delta_time;


if(Life >= 0)
{
	if(Type0[0] == 1.0)
	{
	Type1 = Type0[0];
	Life1 = Life0[0] ;
	Size1 = Size0[0];
	Pos1 = Pos0[0];
	Vel1 = Vel0[0];
	Color1 = Color0[0];
	EmitVertex();
	EndPrimitive();
	}	   
	else if(Type0[0] == 2.0)
	{
	Type1 = Type0[0];
	Life1 = Life;
	Size1 = Size0[0];
	Pos1 = Pos0[0] + vec3(delta_time) * Vel0[0] ;
	Vel1 = Vel0[0];
	Color1 = Color0[0];
	EmitVertex();
	EndPrimitive();
	}	
}

if(Type0[0] == 1)
{
	
for(int i = 0; i < 2; i++)
	{
			{
				Type1 = 2;
				Life1 = 10;
				Size1 = 0.1;
				Pos1 = seed_Position;
				Vel1 = rand_Velocity * (i + 1);
				Color1 = rand_Color;
				EmitVertex();
				EndPrimitive();
			}
	}

}

}